Groovy 1.7.10

## groovy.security
[Java] Class GroovyCodeSourcePermission

    java.lang.Object
      java.security.Permission
          java.security.BasicPermission
              groovy.security.GroovyCodeSourcePermission

    public final class GroovyCodeSourcePermission
    extends BasicPermission

Permission required to explicitly specify a codebase for a groovy script whose codebase cannot be determined. Typically this permission is only required by clients that want to associate a code source with a script which is a String or an InputStream.

Authors:
  Steve Goetze

Constructor Summary
`GroovyCodeSourcePermission(String name)`
`GroovyCodeSourcePermission(String name, String actions)`

Method Summary

Methods inherited from class BasicPermission
equals, hashCode, getActions, implies, newPermissionCollection, toString, getName, checkGuard, wait, wait, wait, getClass, notify, notifyAll

Methods inherited from class Permission
equals, toString, hashCode, getName, getActions, implies, newPermissionCollection, checkGuard, wait, wait, wait, getClass, notify, notifyAll

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Constructor Detail

### GroovyCodeSourcePermission

    public GroovyCodeSourcePermission(String name)

### GroovyCodeSourcePermission

    public GroovyCodeSourcePermission(String name, String actions)

Copyright © 2003-2010 The Codehaus. All rights reserved.